1 Reply Latest reply on May 17, 2004 10:40 PM by Scott Stark

    support for servlets2.3 in jboss-3.0.8

    chetana_vir Newbie

      Hi,

      can any one tell me what changes need to be done for the jboss-3.0.8 to support the servlet2.3 api. I made the changes in the web.xml file to


      <!DOCTYPE web-app
      PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.2//EN"
      "http://java.sun.com/j2ee/dtds/web-app_2_3.dtd">

      but still it is giving the error. There are both web-app_2_2.dtd and web-app_2_3.dtd files in the server. Here is the following error.

      org.xml.sax.SAXParseException: Element "web-app" does not allow "listener" here.

      chetana_vir